Bug 1264313 - Errors in evm.log during database configuration
Errors in evm.log during database configuration
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Keenan Brock
Milan Falešník
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 03:21 EDT by Milan Falešník
Modified: 2015-12-08 08:31 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:31:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Falešník 2015-09-18 03:21:29 EDT
Description of problem:
During the database setup, some errors pop up in the evm.log


Version-Release number of selected component (if applicable):
5.5.0.1-alpha1

How reproducible:
always

Steps to Reproduce:
1. Get a fresh appliance
2. Launch appliance_console
3. Open the evm.log somewhere to watch and launch the database configuration process

Actual results:
[----] E, [2015-09-18T03:16:08.828455 #13264:775998] ERROR -- : [ActiveRecord::StatementInvalid]: PG::UndefinedColumn: ERROR:  column tenants.ancestry does not exist
LINE 1: SELECT  "tenants".* FROM "tenants" WHERE "tenants"."ancestry...
                                                 ^
: SELECT  "tenants".* FROM "tenants" WHERE "tenants"."ancestry" IS NULL  ORDER BY "tenants"."id" ASC LIMIT 1  Method:[rescue in block in seed]
[----] E, [2015-09-18T03:16:08.828551 #13264:775998] ERROR -- : /opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/connection_adapters/postgresql_adapter.rb:596:in `async_exec'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/connection_adapters/postgresql_adapter.rb:596:in `block in exec_no_cache'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/connection_adapters/abstract_adapter.rb:473:in `block in log'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/connection_adapters/abstract_adapter.rb:467:in `log'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/connection_adapters/postgresql_adapter.rb:596:in `exec_no_cache'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/connection_adapters/postgresql_adapter.rb:588:in `execute_and_clear'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/connection_adapters/postgresql/database_statements.rb:160:in `exec_query'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/connection_adapters/abstract/database_statements.rb:351:in `select'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/connection_adapters/abstract/database_statements.rb:32:in `select_all'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/connection_adapters/abstract/query_cache.rb:70:in `select_all'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/querying.rb:39:in `find_by_sql'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/relation.rb:639:in `exec_queries'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/relation.rb:515:in `load'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/relation.rb:243:in `to_a'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/relation/finder_methods.rb:500:in `find_nth_with_limit'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/relation/finder_methods.rb:484:in `find_nth'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/relation/finder_methods.rb:127:in `first'
/opt/rh/cfme-gemset/gems/activerecord-deprecated_finders-1.0.4/lib/active_record/deprecated_finders/relation.rb:129:in `first'
/var/www/miq/vmdb/app/models/tenant.rb:172:in `root_tenant'
/var/www/miq/vmdb/app/models/tenant.rb:177:in `block in seed'
/var/www/miq/vmdb/lib/extensions/ar_lock.rb:30:in `block (2 levels) in lock'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:89:in `block in timeout'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `block in catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:104:in `timeout'
/var/www/miq/vmdb/lib/extensions/ar_lock.rb:30:in `block in lock'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/connection_adapters/abstract/database_statements.rb:213:in `block in transaction'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/connection_adapters/abstract/transaction.rb:184:in `within_new_transaction'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/connection_adapters/abstract/database_statements.rb:213:in `transaction'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/transactions.rb:220:in `transaction'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/transactions.rb:277:in `transaction'
/var/www/miq/vmdb/lib/extensions/ar_lock.rb:24:in `lock'
/var/www/miq/vmdb/app/models/tenant.rb:176:in `seed'
/var/www/miq/vmdb/lib/evm_database.rb:59:in `block in seed'
/var/www/miq/vmdb/lib/evm_database.rb:48:in `each'
/var/www/miq/vmdb/lib/evm_database.rb:48:in `seed'
/var/www/miq/vmdb/lib/evm_database.rb:35:in `seed_primordial'
/var/www/miq/vmdb/app/models/miq_server.rb:207:in `start'
/var/www/miq/vmdb/lib/workers/evm_server.rb:62:in `start'
/var/www/miq/vmdb/lib/workers/evm_server.rb:81:in `start'
/var/www/miq/vmdb/lib/workers/bin/evm_server.rb:3:in `<top (required)>'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/runner.rb:60:in `load'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/runner.rb:60:in `<top (required)>'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:123:in `require'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:123:in `require_command!'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:90:in `runner'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'

Expected results:
No errors

Additional info:
Comment 2 Keenan Brock 2015-09-30 13:23:43 EDT
so this looks like it tried to start the server before the server had migrated.

STATUS: I downloaded an image and will get back to you once I get more information
Comment 3 Keenan Brock 2015-11-04 13:44:43 EST
The downstream appliance is no longer auto booting manageiq service (before the database has been configured)

So this is no longer a problem
Comment 4 Milan Falešník 2015-11-10 07:22:39 EST
No errors in 5.5.0.9

[root@host-192-168-55-134 vmdb]# tail -fn1000 log/evm.log | grep ERROR
^C
[root@host-192-168-55-134 vmdb]#
Comment 6 errata-xmlrpc 2015-12-08 08:31:21 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.